=== modified file 'drizzled/common.h'
--- drizzled/common.h	2010-03-02 06:22:36 +0000
+++ drizzled/common.h	2010-03-02 06:41:59 +0000
@@ -207,10 +207,6 @@
                         DRIZZLE_TYPE_MAX=DRIZZLE_TYPE_BLOB
 };
 
-
-enum Item_result {STRING_RESULT=0, REAL_RESULT, INT_RESULT, ROW_RESULT,
-                  DECIMAL_RESULT};
-
 } /* namespace drizzled */
 
 #endif /* defined(__cplusplus) */

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2010-02-26 08:21:58 +0000
+++ drizzled/field.h	2010-03-02 06:41:59 +0000
@@ -32,6 +32,7 @@
 #include "drizzled/sql_list.h"
 #include "drizzled/structs.h"
 #include "drizzled/charset_info.h"
+#include "drizzled/item_result.h"
 
 #include <string>
 #include <vector>

=== modified file 'drizzled/hybrid_type_traits.h'
--- drizzled/hybrid_type_traits.h	2010-02-04 08:14:46 +0000
+++ drizzled/hybrid_type_traits.h	2010-03-02 06:41:59 +0000
@@ -21,6 +21,7 @@
 #define DRIZZLED_HYBRID_TYPE_TRAITS_H
 
 #include "drizzled/common.h"
+#include "drizzled/item_result.h"
 
 namespace drizzled
 {

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2010-03-01 00:39:09 +0000
+++ drizzled/include.am	2010-03-02 06:41:59 +0000
@@ -203,6 +203,7 @@
 			      drizzled/index_hint.h \
 			      drizzled/internal_error_handler.h \
 			      drizzled/item.h \
+			      drizzled/item_result.h \
 			      drizzled/item/basic_constant.h \
 			      drizzled/item/bin_string.h \
 			      drizzled/item/blob.h \

=== modified file 'drizzled/item.h'
--- drizzled/item.h	2010-02-16 17:15:01 +0000
+++ drizzled/item.h	2010-03-02 06:41:59 +0000
@@ -27,6 +27,7 @@
 #include <drizzled/sql_list.h>
 #include "drizzled/memory/sql_alloc.h"
 #include <drizzled/table.h>
+#include "drizzled/item_result.h"
 
 namespace drizzled
 {
@@ -47,7 +48,6 @@
 class Client;
 }
 
-
 /**
   Dummy error processor used by default by Name_resolution_context.
 

=== added file 'drizzled/item_result.h'
--- drizzled/item_result.h	1970-01-01 00:00:00 +0000
+++ drizzled/item_result.h	2010-03-02 06:41:59 +0000
@@ -0,0 +1,34 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *  Copyright (C) 2010 Stewart Smith
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_ITEM_RESULT_H
+#define DRIZZLED_ITEM_RESULT_H
+
+enum Item_result
+{
+  STRING_RESULT=0,
+  REAL_RESULT,
+  INT_RESULT,
+  ROW_RESULT,
+  DECIMAL_RESULT
+};
+
+
+#endif /* DRIZZLED_ITEM_RESULT_H */

